
public cvar_clcmd_init()
{
	register_clcmd("fullupdate","clcmd_fullupdate",-1);
	register_clcmd("say","handler_say",-1);
	register_clcmd("say_team","handler_say",-1);
	
	register_clcmd("bm_reset","handler_cmd",-1);
	register_clcmd("bm_item_use","handler_cmd",-1);
	
	register_clcmd("bm_skill_next","handler_skill",-1);
	register_clcmd("bm_skill_prev","handler_skill",-1);
	
	register_clcmd("+bm_skill_use","handler_skill",-1);
	register_clcmd("-bm_skill_use","handler_skill",-1);
	
	register_clcmd("bm_hbullet","handler_skill",-1);
	register_clcmd("bm_wlight","handler_skill",-1);
	register_clcmd("bm_icering","handler_skill",-1);
	register_clcmd("bm_cherry","handler_skill",-1);
	register_clcmd("bm_flame","handler_skill",-1);
	
	register_clcmd("+bm_cero","handler_skill",-1);
	register_clcmd("-bm_cero","handler_skill",-1);
	register_clcmd("+bm_spirit","handler_skill",-1);
	register_clcmd("-bm_spirit","handler_skill",-1);
}

public cvar_concmd_init()
{
	register_concmd("bm_bleach","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_savexp","handler_cmd",BLEACH_ADMIN_FLAG);
	
	register_concmd("bm_setxp","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_givexp","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_setspr","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_givespr","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_giveitem","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_dropitem","handler_cmd",BLEACH_ADMIN_FLAG);
	register_concmd("bm_resetuser","handler_cmd",BLEACH_ADMIN_FLAG);
}

public cvar_srvcmd_init()
{
	register_srvcmd("sv_bleach","handler_cvar_cmd",-1);
	register_srvcmd("sv_savexp","handler_cvar_cmd",-1);
	
	register_srvcmd("sv_bm_sql_host","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_sql_user","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_sql_password","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_sql_database","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_sql_table","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_sql_type","handler_cvar_cmd",-1);
	
	register_srvcmd("sv_bm_xp_minplayers","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_share","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_suicide","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_kill","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_teamkill","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_assist","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_skill","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_negation","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_plant","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_explode","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_defuse","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_round","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_bomber","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_planter","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_defuser","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_long_term","handler_cvar_cmd",-1);
	register_srvcmd("sv_bm_xp_short_term","handler_cvar_cmd",-1);
	
	register_srvcmd("bm_purge","handler_cmd",-1);
}
